#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Log Viewer
Name:           lime-logview
Version:        1.1.5
Release:        1
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	openwbem  
Requires :	lime-common
Requires :	qt > 3.3.3
BuildRequires:  openwbem-devel 
BuildRequires:  lime-common
BuildRequires:  qt > 3.3.3
BuildRequires:	lmc-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
lime-logview is a WBEM client tool for log viewer which depends on 
CIMOM, when using this tool, make sure LIME provider has been installed 
and CIMOM of managed host has been started.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q 
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
ln -s %{name}  $RPM_BUILD_ROOT/%{_bindir}/rflogview
%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/lime-logview
%{_bindir}/rflogview
%{_libdir}/lmc/snapins/*.so*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%config /usr/share/applications/lime-logview.desktop
/usr/share/pixmaps/lime-logview.xpm
%dir %{_datadir}/%{name}
%dir %{_docdir}/lime/%{name}
%{_datadir}/%{name}
%{_docdir}/lime/%{name}

%changelog
* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lime-logview-1.1.3-asianux-desktop_categories.patch to CVS, 
- does not install desktop file to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-logview-1.1.3-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.4, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, README, NEWS to package, update to new version 1.1.3
- see also package ChangeLog for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Tue May 15 2007 He Tao <taohe@redflag-linux.com>
- change kde control panel desktop file directory "/etc/sysconfig/khwtree/GroupSys" to "/etc/sysconfig/khwtree/Group2Sys"
- upgrade version to 1.1.1

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Mon Apr 09 2007 He Tao <taohe@redflag-linux.com>
- add a link for old logview tool

* Fri Mar 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- change lmc snapin location and add translate file

* Thu Jan 25 2007 He Tao <taohe@redflag-linux.com>
- create
